Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043447
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-03-06 14:542020-03-11 17:49
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisiona2bc4e49d6f4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043447: Apply new HQL Style in InventoryCountProcess.java

DescriptionInventoryCountProcess.java has five HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118415)
inigo_lerga (developer)
2020-03-09 10:06

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
  - Go to the Physical Inventory window and create a new record.
    Leave all fields as default and press the "Process Inventory
    Count" button and OK in the popup window.

  #In this moment all of the modified HQLs are executed#
(0118526)
hgbot (developer)
2020-03-11 17:49

Repository: erp/devel/pi
Changeset: a2bc4e49d6f46fc680eddd439b3b7a27620263e2
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Mar 09 11:04:38 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a2bc4e49d6f46fc680eddd439b3b7a27620263e2 [^]

fixes BUG-43447:Applied new HQL Style

---
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0118527)
hgbot (developer)
2020-03-11 17:49

Repository: erp/devel/pi
Changeset: f236cfb6d095809b733554b4ca88f976db4d58d5
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Mar 09 11:24:15 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f236cfb6d095809b733554b4ca88f976db4d58d5 [^]

related to ISSUE-43447: Applied Sonarlint suggestions and more

-Finals added
-Sonarlint suggestions applied

---
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0118528)
hgbot (developer)
2020-03-11 17:49

Repository: erp/devel/pi
Changeset: c30500efa1720efe814b9b7756cb8af242e3ecf8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Mar 11 17:49:08 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c30500efa1720efe814b9b7756cb8af242e3ecf8 [^]

Related to ISSUE-43447. Code Review changes
* Adds removed throw exception to avoid possible API change
* Adds removed comparison in where clause

---
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0118529)
dmiguelez (developer)
2020-03-11 17:49

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-03-06 14:54 inigo_lerga New Issue
2020-03-06 14:54 inigo_lerga Assigned To => inigo_lerga
2020-03-06 14:54 inigo_lerga Modules => Core
2020-03-06 14:54 inigo_lerga Triggers an Emergency Pack => No
2020-03-06 14:54 inigo_lerga Status new => scheduled
2020-03-06 14:54 inigo_lerga Relationship added related to 0041287
2020-03-09 10:06 inigo_lerga Note Added: 0118415
2020-03-11 17:49 hgbot Checkin
2020-03-11 17:49 hgbot Note Added: 0118526
2020-03-11 17:49 hgbot Status scheduled => resolved
2020-03-11 17:49 hgbot Resolution open => fixed
2020-03-11 17:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a2bc4e49d6f46fc680eddd439b3b7a27620263e2 [^]
2020-03-11 17:49 hgbot Checkin
2020-03-11 17:49 hgbot Note Added: 0118527
2020-03-11 17:49 hgbot Checkin
2020-03-11 17:49 hgbot Note Added: 0118528
2020-03-11 17:49 dmiguelez Review Assigned To => dmiguelez
2020-03-11 17:49 dmiguelez Note Added: 0118529
2020-03-11 17:49 dmiguelez Status resolved => closed
2020-03-11 17:49 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker